---
lang: en
title: 'API docs: graphql.graphqlserveroptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/graphql
permalink: /doc/en/lb4/apidocs.graphql.graphqlserveroptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/graphql](./graphql.md) &gt; [GraphQLServerOptions](./graphql.graphqlserveroptions.md)

## GraphQLServerOptions interface

Options for GraphQL server

**Signature:**

```typescript
export interface GraphQLServerOptions extends HttpOptions 
```
**Extends:** [HttpOptions](./http-server.httpoptions.md)

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [apollo?](./graphql.graphqlserveroptions.apollo.md) |  | ApolloServerExpressConfig | _(Optional)_ ApolloServerExpress related configuration |
|  [asMiddlewareOnly?](./graphql.graphqlserveroptions.asmiddlewareonly.md) |  | boolean | _(Optional)_ Use as a middleware for RestServer instead of a standalone server |
|  [expressSettings?](./graphql.graphqlserveroptions.expresssettings.md) |  | Record&lt;string, unknown&gt; | _(Optional)_ Express settings |
|  [middlewareOptions?](./graphql.graphqlserveroptions.middlewareoptions.md) |  | GetMiddlewareOptions | _(Optional)_ Middleware options for GraphQL |


